- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.contentHub.contentPacks/download#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.contentHub.contentPacks/download#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.contentHub.contentPacks/download#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.contentHub.contentPacks/download#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.contentHub.contentPacks/download#body.ExportContentPackResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.contentHub.contentPacks/download#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.contentHub.contentPacks/download#body.aspect_1)

**Full name**: projects.locations.instances.contentHub.contentPacks.download

Exports a content pack as a ZIP file. Use this method to share custom use case packages or for offline backup.

### HTTP request

`GET https://{endpoint}/v1beta/{name}:exportPack`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource name of the ContentPack to export. Format: projects/{project}/locations/{location}/instances/{instance}/contentHub/contentPacks/{contentPack} |

### Request body

The request body must be empty.

### Response body

Response message for exporting content pack.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "media": { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/Shared.Types/MediaResponseInfo#Media`) } } ``` |

| Fields ||
|---|---|
| `media` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/Shared.Types/MediaResponseInfo#Media`)`` Zip file of the exported content pack. Includes the content pack metadata and all the content pack items. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `chronicle.contentPacks.export`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).